/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\PlagueBeastLordQuest\Items\Plague_gland.cs
Lines of code: 39
***********************************************************/


using System;
using Server;
using Server.Mobiles;

namespace Server.Items
{
	public class Plague_gland : Item
	{
		[Constructable]
		public Plague_gland() : base( 7407 )
		{
			Name = PlagueHelper.Line[29];
			Hue = 6;
			Weight = 0;
		}

		public Plague_gland( Serial serial ) : base( serial )
		{
		}

		public override bool DropToItem( Mobile from, Item target, Point3D p )
		{
			if ( target is PlagueBackpack )
			{
				PlagueBeastLord plaguebl = target.RootParent as PlagueBeastLord;
				if (plaguebl!=null)
					plaguebl.PlaceGlandCheck( p, this, from );
			}
			return base.DropToItem( from, target, p );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

	}
	
}
